summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorMakoto Onuki <omakoto@google.com>2015-05-13 15:46:19 -0700
committerMakoto Onuki <omakoto@google.com>2015-05-13 16:07:18 -0700
commitbdeea8a03680da2754df018b6a76e0e7fb99af84 (patch)
tree8d1214fda1b81e9f1320fec7266448966e223661 /tools
parent61ec18168fea70e5c10a28776fd5b9257d9961bc (diff)
downloadpackages_providers_ContactsProvider-bdeea8a03680da2754df018b6a76e0e7fb99af84.zip
packages_providers_ContactsProvider-bdeea8a03680da2754df018b6a76e0e7fb99af84.tar.gz
packages_providers_ContactsProvider-bdeea8a03680da2754df018b6a76e0e7fb99af84.tar.bz2
Implement Data.CARRIER_PRESENCE
Also add a script to dump the DB schema. This CL needs ag/683503. Bug 20257870 Change-Id: If336f7dfbab4aca9be8f168d1e8e5a555a9fe649
Diffstat (limited to 'tools')
-rwxr-xr-xtools/contacts-db-schema.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/tools/contacts-db-schema.sh b/tools/contacts-db-schema.sh
new file mode 100755
index 0000000..3aa164b
--- /dev/null
+++ b/tools/contacts-db-schema.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# Copyright (C) 2015 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+set -e
+
+db=/data/data/com.android.providers.contacts/databases/contacts2.db
+
+# Use ls to make sure the file already exists.
+# Otherwise sqlite3 would create an empty file owned by root.
+
+# Sed inserts a newline after each ( and ,
+adb shell "(ls $db >/dev/null)&& sqlite3 $db \"select name, sql from sqlite_master where type in('table','index') order by name\"" |
+ sed -e 's/\([(,]\)/\1\n /g'
+echo "> sqlite_stat1"
+adb shell "(ls $db >/dev/null)&& sqlite3 $db \"select * from sqlite_stat1 order by tbl, idx, stat\""
+
+